# LOCUSLINK
[SAMPLE]
accession java.lang.Integer 1

[TEST_DATUM]
mapkkk1

[CORE]
FIELD_ANNOTATION           SELECT genename FROM LOCUSLINK__DATA__$NAMES WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY genename ASC
FIELD_CONFIRMATION_STATUS  SELECT $BOOLEAN.value FROM $BOOLEAN, LOCUSLINK__DATA__$CONFIRMED WHERE CK$confirmed_$BOOLEAN__id=id AND AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@'
FIELD_FUNCTION             SELECT function FROM LOCUSLINK__DATA__$FUNCTION WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY function ASC
FIELD_LOCUS_TYPE           SELECT name FROM LOCUSLINK__$LOCUSTYPES, LOCUSLINK__DATA__$LOCUSTYPES WHERE CK$locustype_LOCUSLINK__$LOCUSTYPES__id=id AND AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY name ASC
FIELD_PHENOTYPE            SELECT phenotype FROM LOCUSLINK__DATA__$PHENOTYPE WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY phenotype ASC
FIELD_PRODUCT              SELECT product_name FROM LOCUSLINK__DATA__$PRODUCT WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY product_name ASC
FIELD_CURATION_STATUS      SELECT LOCUSLINK__$STATUSTYPES.name FROM LOCUSLINK__DATA__$STATUS, LOCUSLINK__$STATUSTYPES WHERE CK$status_LOCUSLINK__$STATUSTYPES__id=id AND AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@'
FIELD_DESCRIPTION          SELECT summary FROM LOCUSLINK__DATA__$SUMMARY WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@'
FIELD_NAME                 SELECT symbol FROM LOCUSLINK__DATA__$SYMBOLS WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY CK$official_$BOOLEAN__id ASC, CK$alias_$BOOLEAN__id DESC
FIELD_VARIANT_SUMMARY      SELECT variant FROM LOCUSLINK__DATA__$VARIANT WHERE AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY variant ASC
FIELD_STATUS               SELECT name FROM LOCUSLINK__$STATUSTYPES, LOCUSLINK__DATA__$STATUS WHERE id=CK$status_LOCUSLINK__$STATUSTYPES__id AND AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY name ASC
FIELD_CHROMOSOME           SELECT $CHROMOSOME.value AS chromosome FROM $CHROMOSOME, LOCUSLINK__DATA__$CHROMOSOME WHERE CK$chromosome_$CHROMOSOME__id=$CHROMOSOME.id AND AK_LOCUSLINK__DATA__id='@FIELD_ACCESSION@' ORDER BY chromosome ASC;

[LINKAGE_TO]
# LINK_GADFLY         SELECT DISTINCT GADFLY__DATA.CT_id as FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GADFLY, LOCUSLINK__DATA, GADFLY__DATA WHERE GADFLY__DATA.CT_id=LOCUSLINK__DATA__LINKAGES$GADFLY.FKDest__value AND LOCUSLINK__DATA__LINKAGES$GADFLY.FKSrc__value=LOCUSLINK__DATA.id AND LOCUSLINK__DATA.id=@FIELD_ACCESSION@ ORDER BY GADFLY__DATA.CT_id ASC
LINK_OMIM             SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$OMIM WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_TAXONOMY         SELECT LOCUSLINK__DATA__LINKAGES$TAXONOMY__FKDest__value FROM LOCUSLINK__DATA WHERE id="@FIELD_ACCESSION@" ORDER BY LOCUSLINK__DATA__LINKAGES$TAXONOMY__FKDest__value
LINK_GO               SELECT DISTINCT FKDest__value FROM LOCUSLINK__DATA__LINKAGES$GO WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value
# LINK_CHROMOSOME     SELECT DISTINCT CONCAT(FKDest__value,'-',chromosome) AS FIELD_ID FROM $CHROMOSOME, LOCUSLINK__DATA__$CHROMOSOME, LOCUSLINK__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=AK_LOCUSLINK__DATA__id AND CK$chromosome_$CHROMOSOME__id=$CHROMOSOME.id AND AK_LOCUSLINK__DATA__id=@FIELD_ACCESSION@ ORDER BY FIELD_ID ASC
LINK_GENBANK          SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GENBANK WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_GENECLINICS      SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GENECLINICS WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_GENESANDDISEASE  SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GENESANDDISEASE WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_GRIF             SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GRIF WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_HORDE            SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$HORDE WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_HUGE             SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$HUGE WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_SWISSPROT        SELECT DISTINCT AK_SWISSPROT__DATA__id AS FIELD_ACCESSION FROM SWISSPROT__DATA__$ACCESSIONS, LOCUSLINK__DATA__LINKAGES$SWISSPROT WHERE FKDest__value=accession AND FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_MITODAT          SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$MITODAT WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_MEDLINE          SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$MEDLINE WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC

[LINKAGE_FROM]
# LINK_GADFLY           SELECT DISTINCT LOCUSLINK__DATA.id as FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GADFLY, LOCUSLINK__DATA, GADFLY__DATA WHERE GADFLY__DATA.CT_id=LOCUSLINK__DATA__LINKAGES$GADFLY.FKDest__value AND LOCUSLINK__DATA__LINKAGES$GADFLY.FKSrc__value=LOCUSLINK__DATA.id AND GADFLY__DATA.CT_id=@FIELD_ACCESSION@ ORDER BY LOCUSLINK__DATA.id ASC
LINK_OMIM             SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$OMIM WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FKSrc__value ASC
LINK_TAXONOMY         SELECT id FROM LOCUSLINK__DATA WHERE LOCUSLINK__DATA__LINKAGES$TAXONOMY__FKDest__value="@FIELD_ACCESSION@" ORDER BY id
LINK_GO               SELECT DISTINCT FKSrc__value FROM LOCUSLINK__DATA__LINKAGES$GO WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FKSrc__value
# LINK_CHROMOSOME       SELECT DISTINCT CONCAT(FKSrc__value,'-',chromosome) AS FIELD_ID FROM $CHROMOSOME, LOCUSLINK__DATA__$CHROMOSOME, LOCUSLINK__DATA__LINKAGES$TAXONOMY WHERE FKDest__value=AK_LOCUSLINK__DATA__id AND CK$chromosome_$CHROMOSOME__id=$CHROMOSOME.id AND AK_LOCUSLINK__DATA__id=@FIELD_ACCESSION@ ORDER BY FIELD_ID ASC
LINK_GENBANK          SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GENBANK WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_GENECLINICS      SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GENECLINICS WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_GENESANDDISEASE  SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GENESANDDISEASE WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_GRIF             SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$GRIF WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_HORDE            SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$HORDE WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_HUGE             SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$HUGE WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_SWISSPROT        SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM SWISSPROT__DATA__$ACCESSIONS, LOCUSLINK__DATA__LINKAGES$SWISSPROT WHERE FKDest__value=accession AND FKDest__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_MITODAT          SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$MITODAT WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_MEDLINE          SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM LOCUSLINK__DATA__LINKAGES$MEDLINE WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC

[KEYWORD]
FIELD_ACCESSION           SELECT id FROM LOCUSLINK__DATA WHERE %id% LIKE '@keyword@' ORDER BY id ASC
FIELD_ANNOTATION          SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$NAMES WHERE %genename% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_CONFIRMATION_STATUS SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$CONFIRMED, $BOOLEAN WHERE CK$confirmed_$BOOLEAN__id=$BOOLEAN.id AND value LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_FUNCTION            SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$FUNCTION WHERE %function% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_LOCUS_TYPE          SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$LOCUSTYPES, LOCUSLINK__$LOCUSTYPES WHERE CK$locustype_LOCUSLINK__$LOCUSTYPES__id=LOCUSLINK__$LOCUSTYPES.id AND name LIKE '@keyword@' ORDER BY CK$locustype_LOCUSLINK__$LOCUSTYPES__id ASC
FIELD_PHENOTYPE           SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$PHENOTYPE WHERE %phenotype% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_PRODUCT             SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$PRODUCT WHERE %product_name% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_CURATION_STATUS     SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$STATUS, LOCUSLINK__$STATUSTYPES WHERE CK$status_LOCUSLINK__$STATUSTYPES__id=id AND %name% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_DESCRIPTION         SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$SUMMARY WHERE %summary% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_NAME                SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$SYMBOLS WHERE %symbol% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_VARIANT_SUMMARY     SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$VARIANT WHERE %variant% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
FIELD_CHROMOSOME          SELECT DISTINCT AK_LOCUSLINK__DATA__id FROM LOCUSLINK__DATA__$CHROMOSOME, $CHROMOSOME WHERE CK$chromosome_$CHROMOSOME__id=$CHROMOSOME.id AND %$CHROMOSOME.id% LIKE '@keyword@' ORDER BY AK_LOCUSLINK__DATA__id ASC
